org.scalatest.matchers.Matchers.MatcherWrapper

# OrNotWord

#### class OrNotWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. OrNotWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new OrNotWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def be (byteTolerance: ByteTolerance): Matcher[T with Byte]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenByte should ((not be (19.toByte plusOrMinus 2.toByte)) or (not be (19.toByte plusOrMinus 2.toByte)))
                                                                           ^

8. #### def be (shortTolerance: ShortTolerance): Matcher[T with Short]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenShort should (not be (17.toShort plusOrMinus 2.toShort) or not be (17.toShort plusOrMinus 2.toShort))
                                                                           ^

9. #### def be (intTolerance: IntTolerance): Matcher[T with Int]

   This method enables the following syntax:

   This method enables the following syntax:

       sevenInt should (not be (17 plusOrMinus 2) or not be (17 plusOrMinus 2))
                                                         ^

10. #### def be (longTolerance: LongTolerance): Matcher[T with Long]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenLong should (not be (17L plusOrMinus 2L) or not be (17L plusOrMinus 2L))
                                                             ^

11. #### def be (floatTolerance: FloatTolerance): Matcher[T with Float]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOhFloat should (not be (17.0f plusOrMinus 0.2f) or not be (17.0f plusOrMinus 0.2f))
                                                                       ^

12. #### def be (doubleTolerance: DoubleTolerance): Matcher[T with Double]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOh should (not be (17.0 plusOrMinus 0.2) or not be (17.0 plusOrMinus 0.2))
                                                                ^

13. #### def be [T] (resultOfTheSameInstanceAsApplication: ResultOfTheSameInstanceAsApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        obj should (not be theSameInstanceAs (otherString) or not be theSameInstanceAs (string))
                                                                  ^

14. #### def be [T <: AnyRef] (resultOfAnWordApplication: ResultOfAnWordToBePropertyMatcherApplication[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be an (directory) or not be an (file))
                                                    ^

15. #### def be [T] (resultOfAnWordApplication: ResultOfAnWordToSymbolApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        notAppleMock should (not be an ('apple) or not be an ('apple))
                                                       ^

16. #### def be [T <: AnyRef] (resultOfAWordApplication: ResultOfAWordToBePropertyMatcherApplication[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be a (directory) or not be a (file))
                                                   ^

17. #### def be [T] (resultOfAWordApplication: ResultOfAWordToSymbolApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        isNotFileMock should (not be a ('directory) or not be a ('file))
                                                           ^

18. #### def be [T] (bePropertyMatcher: BePropertyMatcher[T]): Matcher[T with AnyRef with T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be (directory) or not be (file))
                                                 ^

19. #### def be [T] (beMatcher: BeMatcher[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        2 should (not be (even) or not be (odd))
                                       ^

20. #### def be (symbol: Symbol): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        notEmptyMock should (not be ('full) or not be ('empty))
                                                   ^

21. #### def be (resultOfTripleEqualsApplication: ResultOfTripleEqualsApplication): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        5 should (not be === (7) or not be === (8))
                                        ^

22. #### def be [T] (resultOfGreaterThanOrEqualToComparison: ResultOfGreaterThanOrEqualToComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        8 should (not be >= (7) or not be >= (6))
                                       ^

23. #### def be [T] (resultOfLessThanOrEqualToComparison: ResultOfLessThanOrEqualToComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        2 should (not be <= (3) or not be <= (2))
                                       ^

24. #### def be [T] (resultOfGreaterThanComparison: ResultOfGreaterThanComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        7 should (not be > (5) or not be > (6))
                                      ^

25. #### def be [T] (resultOfLessThanComparison: ResultOfLessThanComparison[T]): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        5 should (not be < (7) or not be < (8))
                                      ^

26. #### def be [T] (o: Null): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        map should (contain key (7) or not be (null))
                                           ^

27. #### def be (any: Any): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        1 should (not be (1) or not be (2))
                                    ^

28. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

29. #### def contain [T] (resultOfValueWordApplication: ResultOfValueWordApplication[T]): Matcher[T with scala.collection.Map[K,T] forSome { type K }]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain value (2) or not contain value (3))
                                                                         ^

30. #### def contain [T] (resultOfKeyWordApplication: ResultOfKeyWordApplication[T]): Matcher[T with Map[T, Any]]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain key ("two") or not contain key ("three"))
                                                                           ^

31. #### def contain [T] (expectedElement: T): Matcher[T with Traversable[T]]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not contain (1) or not contain (3))
                                                   ^

32. #### def endWith (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not endWith ("fred") or not endWith ("1.7"))
                                                   ^

33. #### def endWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not endWith regex ("bob") or not endWith regex (decimal))
                                                        ^

34. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

35. #### def equal (any: Any): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        1 should (not equal (1) or not equal (2))
                                       ^

36. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

37. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

38. #### def fullyMatch (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not fullyMatch regex ("fred") or not fullyMatch regex (decimal))
                                                            ^

39. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

40. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

41. #### def have [T] (firstPropertyMatcher: org.scalatest.matchers.HavePropertyMatcher[T, _], propertyMatchers: org.scalatest.matchers.HavePropertyMatcher[T, _]*): Matcher[T with T]

    This method enables the following syntax:

    This method enables the following syntax:

        book should (not have (title ("Moby Dick")) or not have (author ("Melville")))
                                                           ^

42. #### def have (resultOfSizeWordApplication: ResultOfSizeWordApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have size (2) or not have size (3))
                                                     ^

43. #### def have (resultOfLengthWordApplication: ResultOfLengthWordApplication): Matcher[T with AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have length (2) or not have length (3))
                                                       ^

44. #### def include (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not include ("bob") or not include ("1.7"))
                                                  ^

45. #### def include (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not include regex ("fred") or not include regex (decimal))
                                                         ^

46. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

47. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

48. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

49. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

50. #### def startWith (expectedSubstring: String): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not startWith ("fred") or not startWith ("1.7"))
                                                     ^

51. #### def startWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[T with String]

    This method enables the following syntax:

    This method enables the following syntax:

        "fred" should (not startWith regex ("bob") or not startWith regex (decimal))
                                                          ^

52. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

53. #### def toString (): String

    Definition Classes
      AnyRef → Any

54. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

55. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

56. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any